## ros-jazzy-launch-yaml 3.4.2

=== debian/changelog ===
ros-jazzy-launch-yaml (3.4.2-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-launch-yaml (3.4.1-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Mar 2024 16:00:00 -0000

ros-jazzy-launch-yaml (3.4.0-3bookworm) bookworm; urgency=high

  * Fix flake8 warnings in launch_yaml. (#756 <https://github.com/ros2/launch/issues/756>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Feb 2024 16:00:00 -0000

ros-jazzy-launch-yaml (3.3.0-3bookworm) bookworm; urgency=high

  * Let XML executables/nodes be "required" (like in ROS 1) (#751 <https://github.com/ros2/launch/issues/751>)
    * Let XML nodes be "required"
    Essentially on_exit="shutdown" is equivalent to ROS 1 required="true".
    This feature is implemented using the python launchfile on_exit mechanism.
    Right now "shutdown" is the only action accepted by on_exit,
    but theoretically more "on_exit" actions could be added later.
    Example:
    <executable cmd="ls" on_exit="shutdown"/>
    * Added tests for yaml
  * Contributors: Matthew Elwin

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-jazzy-launch-yaml (3.2.1-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-launch-yaml (3.2.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 03 Oct 2023 16:00:00 -0000

ros-jazzy-launch-yaml (3.1.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 16:00:00 -0000

ros-jazzy-launch-yaml (3.0.1-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 Sep 2023 16:00:00 -0000

ros-jazzy-launch-yaml (3.0.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Aug 2023 16:00:00 -0000

ros-jazzy-launch-yaml (2.2.1-3bookworm) bookworm; urgency=high

  * Improve launch file parsing error messages (#626 <https://github.com/ros2/launch/issues/626>)
  * Contributors: Timon Engelke

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Jul 2023 16:00:00 -0000

ros-jazzy-launch-yaml (2.2.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Jun 2023 16:00:00 -0000

ros-jazzy-launch-yaml (2.1.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 26 Apr 2023 16:00:00 -0000

ros-jazzy-launch-yaml (2.0.1-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 16:00:00 -0000

ros-jazzy-launch-yaml (2.0.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-jazzy-launch-yaml (1.4.1-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 23 Feb 2023 16:00:00 -0000

ros-jazzy-launch-yaml (1.4.0-3bookworm) bookworm; urgency=high

  * Expose emulate_tty to xml and yaml launch (#669 <https://github.com/ros2/launch/issues/669>)
  * Expose sigterm_timeout and sigkill_timeout to xml frontend (#667 <https://github.com/ros2/launch/issues/667>)
  * [rolling] Update maintainers - 2022-11-07 (#671 <https://github.com/ros2/launch/issues/671>)
  * Contributors: Aditya Pande, Audrow Nash

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-launch-yaml (1.3.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-jazzy-launch-yaml (1.2.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-jazzy-launch-yaml (1.1.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-jazzy-launch-yaml (1.0.1-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 Apr 2022 16:00:00 -0000

ros-jazzy-launch-yaml (1.0.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 11 Apr 2022 16:00:00 -0000

ros-jazzy-launch-yaml (0.23.1-3bookworm) bookworm; urgency=high

  * Fix sphinx directive to cross-ref Launch method (#605 <https://github.com/ros2/launch/issues/605>)
  * Contributors: Abrar Rahman Protyasha

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-jazzy-launch-yaml (0.23.0-3bookworm) bookworm; urgency=high

  * Add boolean substitutions (#598 <https://github.com/ros2/launch/issues/598>)
  * Contributors: Kenji Miyake

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-jazzy-launch-yaml (0.22.0-3bookworm) bookworm; urgency=high

  * Support scoping environment variables (#601 <https://github.com/ros2/launch/issues/601>)
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-jazzy-launch-yaml (0.21.1-3bookworm) bookworm; urgency=high

  * 'output' is expanded as a substitution in XML/YAML files (#577 <https://github.com/ros2/launch/issues/577>)
  * Contributors: Khush Jain

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-jazzy-launch-yaml (0.21.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-jazzy-launch-yaml (0.20.0-3bookworm) bookworm; urgency=high

  * Declare frontend group dependency & use explicit dependencies in launch_testing (#520 <https://github.com/ros2/launch/issues/520>)
  * Update maintainers to Aditya Pande and Michel Hidalgo (#559 <https://github.com/ros2/launch/issues/559>)
  * Updated maintainers (#555 <https://github.com/ros2/launch/issues/555>)

